RRS Class Reference

Round robin schedule. More...

## Public Member Functions

| RRS (int t)
| Build a feasible schedule.
void | hag (int w, IntArgs &h, IntArgs &a, IntArgs &g)
| Home, away, and game information.
| ~RRS (void)
| Delete schedule.

## Protected Member Functions

int | weeks (void) const
| Return number of weeks.
int | periods (void) const
| Return number of periods.
int | gn (int h, int a) const
| Game number for game between home team h and away team a.
Play & | play (int p, int w)
| Play for period p and week w.

## Protected Attributes

const int | teams
| Number of teams.
Play * | plays
| Play information.

## Detailed Description

Round robin schedule.

Definition at line 58 of file sports-league.cpp.

## Constructor & Destructor Documentation

## RRS()

RRS::RRS | ( | int | t | ) |

inline

Build a feasible schedule.

The games of the first week are fixed as: .
The remaining games are computed by transforming a game from the previous week in a new game , where:
and

Definition at line 106 of file sports-league.cpp.

## ~RRS()

RRS::~RRS | ( | void |  | ) |

inline

Delete schedule.

Definition at line 151 of file sports-league.cpp.

## Member Function Documentation

## weeks()

int RRS::weeks | ( | void |  | ) | const

inline protected

Return number of weeks.

Definition at line 65 of file sports-league.cpp.

## periods()

int RRS::periods | ( | void |  | ) | const

inline protected

Return number of periods.

Definition at line 69 of file sports-league.cpp.

## gn()

int RRS::gn | ( | int | h,
|  | int | a ) const

inline protected

Game number for game between home team h and away team a.

Definition at line 73 of file sports-league.cpp.

## play()

Play & RRS::play | ( | int | p,
|  | int | w )

inline protected

Play for period p and week w.

Definition at line 77 of file sports-league.cpp.

## hag()

void RRS::hag | ( | int | w,
|  | IntArgs & | h,
|  | IntArgs & | a,
|  | IntArgs & | g )

inline

Home, away, and game information.

Definition at line 143 of file sports-league.cpp.

## Member Data Documentation

## teams

const int RRS::teams

protected

Number of teams.

Definition at line 61 of file sports-league.cpp.

## plays

Play* RRS::plays

protected

Play information.

Definition at line 63 of file sports-league.cpp.

The documentation for this class was generated from the following file:

- examples/sports-league.cpp